Package dev.plex.world

# Class NoiseChunkGenerator

java.lang.Object
org.bukkit.generator.ChunkGenerator
dev.plex.world.CustomChunkGenerator
dev.plex.world.NoiseChunkGenerator

public abstract class NoiseChunkGenerator extends CustomChunkGenerator

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.generator.ChunkGenerator

`org.bukkit.generator.ChunkGenerator.BiomeGrid, org.bukkit.generator.ChunkGenerator.ChunkData`

## Field Summary

Fields
Modifier and Type
Field
Description
`private final NoiseOptions`
`options`

### Fields inherited from class dev.plex.world.CustomChunkGenerator

`height`

## Constructor Summary

Constructors
Constructor
Description
`NoiseChunkGenerator(int height, NoiseOptions options, org.bukkit.generator.BlockPopulator... populators)`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`createLoopChunkData(int x, int y, int z, org.bukkit.generator.ChunkGenerator.ChunkData chunk)`
`void`
`generateNoise(org.bukkit.generator.WorldInfo worldInfo, Random random, int x, int z, org.bukkit.generator.ChunkGenerator.ChunkData chunk)`

### Methods inherited from class dev.plex.world.CustomChunkGenerator

`getDefaultPopulators`

### Methods inherited from class org.bukkit.generator.ChunkGenerator

`canSpawn, createChunkData, createVanillaChunkData, generateBedrock, generateCaves, generateChunkData, generateSurface, getBaseHeight, getDefaultBiomeProvider, getFixedSpawnLocation, isParallelCapable, shouldGenerateBedrock, shouldGenerateCaves, shouldGenerateCaves, shouldGenerateDecorations, shouldGenerateDecorations, shouldGenerateMobs, shouldGenerateMobs, shouldGenerateNoise, shouldGenerateNoise, shouldGenerateStructures, shouldGenerateStructures, shouldGenerateSurface, shouldGenerateSurface`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### options

private final NoiseOptions options

## Constructor Details

### NoiseChunkGenerator

public NoiseChunkGenerator(int height, NoiseOptions options, org.bukkit.generator.BlockPopulator... populators)

## Method Details

### generateNoise

public void generateNoise(org.bukkit.generator.WorldInfo worldInfo, Random random, int x, int z, org.bukkit.generator.ChunkGenerator.ChunkData chunk)

Overrides:
  `generateNoise` in class `org.bukkit.generator.ChunkGenerator`

### createLoopChunkData

public abstract void createLoopChunkData(int x, int y, int z, org.bukkit.generator.ChunkGenerator.ChunkData chunk)

Specified by:
  `createLoopChunkData` in class `CustomChunkGenerator`